<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_6e38cb9e043a07cd6" . "9a1711a6704c62a" => base64_decode("cGFyZW" . "50X2lk"), "_5d9771e9f2d1880bedef6" . "147f3437484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGludDpvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uI" . "D0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbnRfaWQgPSBpbnQ6cGFyZW50X2lk"), "object_" . "id" => base64_decode("b2Jq" . "ZWN0" . "X2lk"), "aggre" . "gatio" . "n" => base64_decode("YWdncmVnYXRpb" . "24="), "_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_d479b59dd022e4a9" . "44c0ec1b9f5f9302" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGlvbiwgcGFyZW50X2lkKSBWQUxVRVMgKGludDpvYmplY3RfaWQsIGludDphZ2dyZWdhdGlvbiwgaW50OnBh" . "cmVudF9pZCk="), "_51b7f4bbc1d1bb" . "48c391de491e07d" . "f27" => base64_decode("ZG9jdW1lbnRzLmVybXNvYmplY" . "3Qubm90X2RlZmluZWQ="), "_2c2ffe27f18d2bac1d27c5d98e7dff6" . "b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORCBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQgcGFyZW50X2lkID0gaW50OnBhc" . "mVudF9pZA=="));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_51b7f4bbc1d1bb48c391de491e07df" . "27"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_d479b59dd022e4a94" . "4c0ec1b9f5f9302"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5d9771e9f2d1880b" . "edef6147f3437484"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["object_i" . "d"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["aggrega" . "tion"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6e38cb9e043a07cd69a" . "1711a6704c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2c2ffe27f18d2bac1d2" . "7c5d98e7dff6b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}